Bug 575492

Summary: Review Request: perl-Filesys-Notify-Simple - Simple and dumb file system watcher
Product: [Fedora] Fedora Reporter: Chris Weyl <cweyl>
Component: Package ReviewAssignee: Iain Arnell <iarnell>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, iarnell, jose.p.oliveira.oss, notting
Target Milestone: ---Flags: iarnell: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://search.cpan.org/dist/Filesys-Notify-Simple
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-03 18:03:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 575491    
Bug Blocks: 575498    

Description Chris Weyl 2010-03-21 00:19:16 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Filesys-Notify-Simple.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Filesys-Notify-Simple-0.05-1.fc12.src.rpm

Description:
Filesys::Notify::Simple is a simple but unified interface to get
notifications of changes to a given filesystem path.

Additional Comment:

This package is a dependency of the Plack PSGI implementation.

*rt-0.10_01

Comment 1 Iain Arnell 2010-04-03 04:31:07 UTC
+ source files match upstream.  
  16e0a9f1705437b0233b4b1d95e3dc04  Filesys-Notify-Simple-0.05.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2092343

+ package installs properly.
+ rpmlint has acceptable complaints:
  perl-Filesys-Notify-Simple.noarch: W: spelling-error %description -l en_US filesystem -> file system, file-system, systematic
  perl-Filesys-Notify-Simple.src: W: spelling-error %description -l en_US filesystem -> file system, file-system, systematic
  perl-Filesys-Notify-Simple-tests.noarch: W: no-documentation
  perl-Filesys-Notify-Simple-tests.noarch: W: hidden-file-or-dir /usr/libexec/perl5-tests/Filesys-Notify-Simple/t/x/.placeholder
  perl-Filesys-Notify-Simple-tests.noarch: E: zero-length /usr/libexec/perl5-tests/Filesys-Notify-Simple/t/x/.placeholder
  3 packages and 0 specfiles checked; 1 errors, 4 warnings.

+ final provides and requires are sane:
  perl(Filesys::Notify::Simple) = 0.05
  perl-Filesys-Notify-Simple = 0.05-1.fc14
=
  perl >= 0:5.008_001
  perl(Carp)  
  perl(constant)  
  perl(Cwd)  
  perl(Linux::Inotify2)  
  perl(:MODULE_COMPAT_5.10.1)  
  perl(strict)  

+ %check is present and all tests pass.
  t/00_compile.t .. ok
  t/rm_create.t ... ok
  All tests successful.
  Files=2, Tests=3,  6 wallclock secs ( 0.02 usr  0.01 sys +  0.09 cusr  0.02 csys =  0.14 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED

Comment 2 Chris Weyl 2010-04-03 17:44:12 UTC
New Package CVS Request
=======================
Package Name: perl-Filesys-Notify-Simple
Short Description: Simple and dumb file system watcher
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-04-03 17:46:07 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Chris Weyl 2010-04-03 18:03:25 UTC
Thanks for the review! :-)

Comment 5 Jose Pedro Oliveira 2011-08-10 22:39:01 UTC
Package Change Request
======================
Package Name: perl-Filesys-Notify-Simple
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]

Comment 6 Gwyn Ciesla 2011-08-11 08:17:59 UTC
Git done (by process-git-requests).